I was having trouble running Subversion with Apache httpd 2.2.0. I went to the web site and found that the latest httpd is 2.2.3, and comes packaged with apr and apr-util 1.2.7. I built it and it worked.

Steve